Get Fleet Server hosts

Base URL
https://{kibana_url}
  • GET /api/fleet/fleet_server_hosts
  • GET /s/{space_id}/api/fleet/fleet_server_hosts
Auth

List all Fleet Server hosts.

Required authorization

Privileges fleet-agents-all or fleet-settings-read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
items object[] · max items: 10000 required
allow_edit string[] · max items: 100
host_urls string[] · min items: 1 · max items: 10 required
id string required
is_default boolean · default: false
is_internal boolean
is_preconfigured boolean · default: false
name string required
proxy_id string nullable
secrets object
ssl object
agent_key union anyOf
Any of:
id string required
es_key union anyOf
Any of:
id string required
key union anyOf
Any of:
id string required
ssl object nullable
agent_certificate string
agent_certificate_authorities string[] · max items: 10
agent_key string
certificate string
certificate_authorities string[] · max items: 10
client_auth enum
Values: optional required none
es_certificate string
es_certificate_authorities string[] · max items: 10
es_key string
key string
page number required
perPage number required
total number required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}